# Generated from flame-raven_context-0.1.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name flame-raven_context

Name: rubygem-%{gem_name}
Version: 0.1.2
Release: 1%{?dist}
Summary: Helper class for Sentry reports from Flame web applications
License: MIT
URL: https://github.com/AlexWayfer/flame-raven_context
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.5
# BuildRequires: rubygem(pry-byebug) >= 3.9
# BuildRequires: rubygem(pry-byebug) < 4
# BuildRequires: rubygem(gem_toys) >= 0.4.0
# BuildRequires: rubygem(gem_toys) < 0.5
# BuildRequires: rubygem(toys) >= 0.11.0
# BuildRequires: rubygem(toys) < 0.12
# BuildRequires: rubygem(codecov) >= 0.2.1
# BuildRequires: rubygem(codecov) < 0.3
# BuildRequires: rubygem(rspec) >= 3.9
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(simplecov) >= 0.19.0
# BuildRequires: rubygem(simplecov) < 0.20
# BuildRequires: rubygem(rubocop) >= 0.91.0
# BuildRequires: rubygem(rubocop) < 0.92
# BuildRequires: rubygem(rubocop-performance) >= 1.0
# BuildRequires: rubygem(rubocop-performance) < 2
# BuildRequires: rubygem(rubocop-rspec) >= 1.0
# BuildRequires: rubygem(rubocop-rspec) < 2
BuildArch: noarch

%description
Helper class for Sentry reports via `sentry-raven` gem from Flame web
applications.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md

%changelog
* Mon Sep 13 2021 mockbuilder - 0.1.2-1
- Initial package
